import Vue from 'vue'

import ElementUI from 'element-ui'
import './assets/styles/element-variables.scss'
import '@/assets/styles/index.scss' // global css
import '@/assets/styles/ruoyi.scss' // ruoyi css
import App from './App.vue'
import router from './router'
import store from './store'
import Antd from 'ant-design-vue';
import 'ant-design-vue/dist/antd.css';
import JInput from '@/components/hcomponents/JInput'
//json 编辑器

//ruoyi
import { parseTime, resetForm,selectDictLabel, selectDictLabels,addDateRange } from "@/utils/ruoyi";
//topology 
//注册图标
import { registerIcons,registerSvgs } from "@/utils/topology/customgraph.js";
registerIcons();
registerSvgs();
import { getDicts } from "@/api/dict/data";
Vue.config.productionTip = false
Vue.use(Antd);
Vue.use(ElementUI)

import Pagination from "@/components/Pagination";
Vue.prototype.msgSuccess = function (msg) {
  this.$message({ showClose: true, message: msg, type: "success" });
}

Vue.prototype.msgError = function (msg) {
  this.$message({ showClose: true, message: msg, type: "error" });
}

Vue.prototype.msgInfo = function (msg) {
  this.$message.info(msg);
}
Vue.component('Pagination', Pagination)
Vue.component('JInput', JInput)
// Vue.use(JInput)
Vue.prototype.parseTime = parseTime
Vue.prototype.resetForm = resetForm
Vue.prototype.getDicts = getDicts
Vue.prototype.selectDictLabel = selectDictLabel
Vue.prototype.selectDictLabels = selectDictLabels
Vue.prototype.addDateRange=addDateRange
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
